/*
 * KxElementsCtrl.java
 *
 * Created on 24 septembre 2008, 08:33
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.ApplicationIcones;
import org.cocktail.kiwi.client.metier.EOMission;
import org.cocktail.kiwi.client.metier.EOTitreMission;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class RelancesView extends javax.swing.JFrame {

   	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

    /** Creates new form KxElementsCtrl */
    public RelancesView(EODisplayGroup dg) {
        
    	eod = dg;
    	
        initComponents();

        initGui();

    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        viewTable = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        btnEnvoyer = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tfMessage = new javax.swing.JTextArea();
        jScrollPane2 = new javax.swing.JScrollPane();
        tfDestinataires = new javax.swing.JTextArea();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        checkFraisAll = new javax.swing.JRadioButton();
        checkFraisAvec = new javax.swing.JRadioButton();
        checkFraisSans = new javax.swing.JRadioButton();
        popupDuree = new javax.swing.JComboBox();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        tfObjet = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        tfFrom = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion des anciennes missions");

        viewTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnFermer.setText("Fermer");
        btnFermer.setToolTipText("Fermer la fenêtre");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        btnEnvoyer.setText("Envoyer");
        btnEnvoyer.setToolTipText("Envoi du message de relance");

        jLabel4.setText("Missions");

        tfMessage.setColumns(20);
        tfMessage.setRows(5);
        jScrollPane1.setViewportView(tfMessage);

        tfDestinataires.setColumns(20);
        tfDestinataires.setLineWrap(true);
        tfDestinataires.setRows(5);
        jScrollPane2.setViewportView(tfDestinataires);

        jLabel5.setText("Destinataires");

        jLabel6.setText("Message");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Frais Missions :");

        buttonGroup1.add(checkFraisAll);
        checkFraisAll.setSelected(true);
        checkFraisAll.setText("*");
        checkFraisAll.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFraisAllActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFraisAvec);
        checkFraisAvec.setText("AVEC");
        checkFraisAvec.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFraisAvecActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFraisSans);
        checkFraisSans.setText("SANS");

        popupDuree.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Terminées depuis");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("mois");

        jLabel7.setText("Objet");

        tfObjet.setText("jTextField1");

        jLabel11.setText("From");

        tfFrom.setText("jTextField1");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkFraisAll, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkFraisAvec)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkFraisSans, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 135, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(btnEnvoyer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 436, Short.MAX_VALUE)
                        .add(441, 441, 441))
                    .add(tfObjet, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE)
                    .add(tfFrom, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 877, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(popupDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(jLabel10)
                    .add(jLabel8)
                    .add(checkFraisAll)
                    .add(checkFraisAvec)
                    .add(checkFraisSans))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel4)
                .add(5, 5, 5)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 218, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel5)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(12, 12, 12)
                .add(jLabel11)
                .add(2, 2, 2)
                .add(tfFrom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel7)
                .add(2, 2, 2)
                .add(tfObjet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel6)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnFermer)
                    .add(btnEnvoyer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-913)/2, (screenSize.height-639)/2, 913, 639);
    }// </editor-fold>//GEN-END:initComponents

private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
// TODO add your handling code here:
    dispose();
}//GEN-LAST:event_btnFermerActionPerformed

private void checkFraisAllActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFraisAllActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkFraisAllActionPerformed

private void checkFraisAvecActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFraisAvecActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkFraisAvecActionPerformed

//    /**
//    * @param args the command line arguments
//    */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new KxElementsView().setVisible(true);
//            }
//        });
//    }

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnEnvoyer;
    private javax.swing.JButton btnFermer;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkFraisAll;
    private javax.swing.JRadioButton checkFraisAvec;
    private javax.swing.JRadioButton checkFraisSans;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JComboBox popupDuree;
    private javax.swing.JTextArea tfDestinataires;
    private javax.swing.JTextField tfFrom;
    private javax.swing.JTextArea tfMessage;
    private javax.swing.JTextField tfObjet;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
    	                
        btnFermer.setIcon(CocktailIcones.ICON_CLOSE);  
        btnEnvoyer.setIcon(ApplicationIcones.ICON_MAIL_32);
             
        popupDuree.removeAllItems();
        popupDuree.addItem(new Integer(1));
        popupDuree.addItem(new Integer(2));
        popupDuree.addItem(new Integer(4));
        popupDuree.addItem(new Integer(6));
        popupDuree.addItem(new Integer(8));
        popupDuree.addItem(new Integer(10));
        popupDuree.addItem(new Integer(12));
        
        Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOMission.MIS_NUMERO_KEY, "No", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_DEBUT_KEY, "Début", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy HH:mm"));
		col.setColumnClass(Date.class);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_FIN_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy HH:mm"));
		col.setColumnClass(Date.class);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.MIS_ETAT_KEY, "Etat", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOMission.TITRE_MISSION_KEY+"."+EOTitreMission.TIT_LIBELLE_KEY, "Type", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "identiteCreateur", "Créateur", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }

    public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnEnvoyer() {
		return btnEnvoyer;
	}

	public void setBtnEnvoyer(javax.swing.JButton btnEnvoyer) {
		this.btnEnvoyer = btnEnvoyer;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JTextArea getTfDestinataires() {
		return tfDestinataires;
	}

	public void setTfDestinataires(javax.swing.JTextArea tfDestinataires) {
		this.tfDestinataires = tfDestinataires;
	}

	public javax.swing.JTextArea getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JTextArea tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JRadioButton getCheckFraisAll() {
		return checkFraisAll;
	}

	public void setCheckFraisAll(javax.swing.JRadioButton checkFraisAll) {
		this.checkFraisAll = checkFraisAll;
	}

	public javax.swing.JRadioButton getCheckFraisAvec() {
		return checkFraisAvec;
	}

	public void setCheckFraisAvec(javax.swing.JRadioButton checkFraisAvec) {
		this.checkFraisAvec = checkFraisAvec;
	}

	public javax.swing.JRadioButton getCheckFraisSans() {
		return checkFraisSans;
	}

	public void setCheckFraisSans(javax.swing.JRadioButton checkFraisSans) {
		this.checkFraisSans = checkFraisSans;
	}

	public javax.swing.JComboBox getPopupDuree() {
		return popupDuree;
	}

	public void setPopupDuree(javax.swing.JComboBox popupDuree) {
		this.popupDuree = popupDuree;
	}


	public javax.swing.JTextField getTfObjet() {
		return tfObjet;
	}


	public void setTfObjet(javax.swing.JTextField tfObjet) {
		this.tfObjet = tfObjet;
	}


	public javax.swing.JTextField getTfFrom() {
		return tfFrom;
	}


	public void setTfFrom(javax.swing.JTextField tfFrom) {
		this.tfFrom = tfFrom;
	}

}
